uniform sampler2D Texture0;
uniform sampler2D Texture1;
uniform sampler2D Texture2;
uniform sampler2D Texture3;
uniform sampler2D Texture4;
uniform sampler2D Texture5;
uniform sampler2D Texture6;

varying highp vec2 TextureCoordsOut;
varying highp float LayerOut;
varying highp float TextureOut;
varying highp vec4 ColorOut;

void main(void) {
	highp vec4 OColor = vec4(0, 0, 0, 0);
	if (TextureOut < 0.5) {
		OColor = texture2D(Texture0, TextureCoordsOut);
	}
	else if (TextureOut < 1.5) {
		OColor = texture2D(Texture1, TextureCoordsOut);
	}
	else if (TextureOut < 2.5) {
		OColor = texture2D(Texture2, TextureCoordsOut);
	}
	else if (TextureOut < 3.5) {
		OColor = texture2D(Texture3, TextureCoordsOut);
	}
	else if (TextureOut < 4.5) {
		OColor = texture2D(Texture4, TextureCoordsOut);
	}
	else if (TextureOut < 5.5) {
		OColor = texture2D(Texture5, TextureCoordsOut);
	}
	else if (TextureOut < 6.5) {
		OColor = texture2D(Texture6, TextureCoordsOut);
	}
	if (LayerOut < 1.5) {
		gl_FragColor = vec4(ColorOut[0], ColorOut[1], ColorOut[2], OColor[0] * ColorOut[3]);
	}
	else if (LayerOut < 2.5) {
		gl_FragColor = vec4(ColorOut[0], ColorOut[1], ColorOut[2], OColor[1] * ColorOut[3]);
	}
	else if (LayerOut < 3.5) {
		gl_FragColor = vec4(ColorOut[0], ColorOut[1], ColorOut[2], OColor[2] * ColorOut[3]);
	}
	else if (LayerOut < 4.5) {
		gl_FragColor = vec4(ColorOut[0], ColorOut[1], ColorOut[2], OColor[3] * ColorOut[3]);
	}
	else {
		gl_FragColor = vec4(0, 0, 0, 0);
	}
}