attribute vec3 Position;
attribute vec2 TextureCoords; 
attribute float Param;
attribute vec4 Color;

uniform mat4 Projection;

varying vec2 TextureCoordsOut;
varying float ParamOut;
varying vec4 ColorOut;

void main(void) {
	gl_Position = Projection * vec4(Position, 1.0);
	TextureCoordsOut = TextureCoords;
	ParamOut = Param;
	ColorOut = Color;
}